package com.hzya.frame.sys.template.entity;


import java.util.List;

public class TemplateDataDto {

	/** 应用ID */
	private String appId;
	/** 应用编码 */
	private String appCode;
	/** 应用名称 */
	private String appName;
	/** 产品ID */
	private String productId;
	/** 产品编码 */
	private String productCode;
	/** 产品名称 */
	private String productName;
	/** 模版名称 */
	private String templateName;
	/** 模板编码 	唯一值 */
	private String templateCode;
	/** 类型		单据,档案 */
	private String templateType;
	/** Service服务名 */
	private String serviceName;
	/** 表名（英文名称） */
	private String tableName;
	/** 表名（中文名称） */
	private String tableRemark;
	/** 备注 */
	private String remark;
	//子表
	private List<TemplateDataDto> templateDataDtoList;
	//字段
	private List<TemplateDataDetailDto> templateDataDetailDtoList;

	public String getAppId() {
		return appId;
	}

	public void setAppId(String appId) {
		this.appId = appId;
	}

	public String getAppCode() {
		return appCode;
	}

	public void setAppCode(String appCode) {
		this.appCode = appCode;
	}

	public String getAppName() {
		return appName;
	}

	public void setAppName(String appName) {
		this.appName = appName;
	}

	public String getProductId() {
		return productId;
	}

	public void setProductId(String productId) {
		this.productId = productId;
	}

	public String getProductCode() {
		return productCode;
	}

	public void setProductCode(String productCode) {
		this.productCode = productCode;
	}

	public String getProductName() {
		return productName;
	}

	public void setProductName(String productName) {
		this.productName = productName;
	}

	public String getTemplateName() {
		return templateName;
	}

	public void setTemplateName(String templateName) {
		this.templateName = templateName;
	}

	public String getTemplateCode() {
		return templateCode;
	}

	public void setTemplateCode(String templateCode) {
		this.templateCode = templateCode;
	}

	public String getTemplateType() {
		return templateType;
	}

	public void setTemplateType(String templateType) {
		this.templateType = templateType;
	}

	public String getServiceName() {
		return serviceName;
	}

	public void setServiceName(String serviceName) {
		this.serviceName = serviceName;
	}

	public String getTableName() {
		return tableName;
	}

	public void setTableName(String tableName) {
		this.tableName = tableName;
	}

	public List<TemplateDataDto> getTemplateDataDtoList() {
		return templateDataDtoList;
	}

	public void setTemplateDataDtoList(List<TemplateDataDto> templateDataDtoList) {
		this.templateDataDtoList = templateDataDtoList;
	}

	public List<TemplateDataDetailDto> getTemplateDataDetailDtoList() {
		return templateDataDetailDtoList;
	}

	public void setTemplateDataDetailDtoList(List<TemplateDataDetailDto> templateDataDetailDtoList) {
		this.templateDataDetailDtoList = templateDataDetailDtoList;
	}

	public String getTableRemark() {
		return tableRemark;
	}

	public void setTableRemark(String tableRemark) {
		this.tableRemark = tableRemark;
	}

	public String getRemark() {
		return remark;
	}

	public void setRemark(String remark) {
		this.remark = remark;
	}
}
